Table of Contents

Class: AbstractClientMixin | Twisted-0.19.0/twisted/im/basesupport.py
--- | ---
### Designed to be mixed in to a Protocol implementing class. Inherit from me first.
Methods |
--- | ---
__init__ connectionFailed connectionLost connectionMade registerAsAccountClient unregisterAsAccountClient
| __init__
    __init__ (
            self,
            account,
            chatui,
            )
| connectionFailed
    connectionFailed ( self )
| connectionLost
    connectionLost ( self )
| connectionMade
    connectionMade ( self )
| registerAsAccountClient
    registerAsAccountClient ( self )
Register me with the chat UI as `signed on'.
| unregisterAsAccountClient
    unregisterAsAccountClient ( self )
Tell the chat UI that I have `signed off'.

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:38 2002 by HappyDoc version 2.0